#ifndef WINSIMPLECLASS_H
#define WINSIMPLECLASS_H

#include <windows.h>
#include <string>

class WinSimpleClass
{
protected:
    HINSTANCE _hInstance;
    std::string _name;
    
public:
    WinSimpleClass(const char *name, HINSTANCE hInst);
    WinSimpleClass(int resId, HINSTANCE hInst);
    WinSimpleClass(const WinSimpleClass &rhs);
    ~WinSimpleClass();
    WinSimpleClass &operator=(const WinSimpleClass &rhs);
    char const* GetName() const;
    HINSTANCE GetInstance() const;
    HWND GetRunningWindow();
};

#endif // WINSIMPLECLASS_H
